using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp32
{
    internal class Program
    {
        static void Main(string[] args)
        {
            var a = Console.ReadLine().Split();
            int N = int.Parse(a[0]); 
            int L = int.Parse(a[1]);  

 
            var stalaktiti = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);

            for (int i = 0; i < N; i++)
            {
             
                if (stalaktiti[i] <= L)
                {
                    Console.WriteLine(i + 1);  
                    return;
                }
            }
            Console.WriteLine(-1);
        }
    }
    }